Bug 494313 - RFE: New option --copy-devices to rsync devices
RFE: New option --copy-devices to rsync devices
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan ONDREJ
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 07:07 EDT by Jan ONDREJ
Modified: 2009-06-02 10:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.5-2.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 10:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2009-04-06 07:07:27 EDT
Description of problem:
Can you please add this patch:
  patches/copy-devices.diff
as a part of binary rpm? This patch is already in src.rpm (in patches tar).
This patch allows rsyncing device content, instead of default device special device.
I need this option in my project, which backup systems over network and can rsync device content with only minimal changes.
This change can significatly increase speed of my script, which currently need to copy everything (dd) over network.

Version-Release number of selected component (if applicable):
rsync-3.0.5-1.fc10.i386


How reproducible:
always

Steps to Reproduce:
1. rsync --copy-devices
  
Actual results:
rsync: --copy-devices: unknown option
rsync error: syntax or usage error (code 1) at main.c(1423) [client=3.0.5]
:-)

Expected results:
Working device rsync copy.

Additional info:
Please, if possible, do this change for F9 and F10 too, not only for rawhide.

To apply this patch, it's enough to add this line after your patches:
  patch -p1 -i patches/copy-devices.diff
Comment 1 Jan ONDREJ 2009-05-21 04:36:34 EDT
Simo, is there something wrong with this patch?

If not and you are too busy, I can apply it in fedora CVS.
Comment 2 Simo Sorce 2009-05-21 08:32:41 EDT
please feel free to do it, I am a bit busy these days.
Comment 3 Fedora Update System 2009-05-21 09:02:03 EDT
rsync-3.0.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rsync-3.0.5-2.fc10
Comment 4 Fedora Update System 2009-05-21 09:10:44 EDT
rsync-3.0.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rsync-3.0.5-2.fc11
Comment 5 Jan ONDREJ 2009-05-21 09:11:36 EDT
Packages built for F-10, F-11 and devel.
Updates submitted.
Comment 6 Fedora Update System 2009-05-21 19:27:02 EDT
rsync-3.0.5-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsync'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5309
Comment 7 Fedora Update System 2009-05-21 19:30:31 EDT
rsync-3.0.5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsync'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5322
Comment 8 Fedora Update System 2009-06-02 10:18:38 EDT
rsync-3.0.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-06-02 10:29:25 EDT
rsync-3.0.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.